Partially update a row
Merges the provided fields into the record at the 1-based data row number (excluding header) when update is granted. Use $sheet to select a worksheet tab (defaults to the first sheet). API keys may use X-API-Key or bearer auth. Supply cf-turnstile-response or captchaToken when update CAPTCHA is enabled.
X-API-Key<token>
BlazeSheets API key used to access a protected public API.
In: header
Path Parameters
apiId*string
Format
uuidrowNumber*integer
1-based data row number, excluding the header row.
Range
1 <= valueQuery Parameters
$sheet?string
Worksheet tab name (case-sensitive). Defaults to the first sheet when omitted.
Length
1 <= lengthHeader Parameters
cf-turnstile-response?string
Required when CAPTCHA is enabled for this operation.
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/497f6eca-6276-4993-bfeb-53cbbbba6f08/1" \ -H "Content-Type: application/json" \ -d '{ "property1": "string", "property2": "string" }'{ "updated": 0, "data": { "property1": "string", "property2": "string" }}